%{?python_enable_dependency_generator}
%global srcname frozendict

Name:           python-%{srcname}
Version:        1.2
Release:        %mkrel 1
Summary:        An immutable dictionary
Group:         Development/Python

License:        MIT
URL:            https://pypi.python.org/pypi/frozendict
Source0:        %{pypi_source}

Patch0: https://github.com/slezica/python-frozendict/pull/30/commits/6ad44b54139e9b298a9281d85abf4f940f5d852a.patch
Patch1: https://github.com/slezica/python-frozendict/pull/30/commits/24e65b1f197a8c0dcca82a6ada53a8a29445c21c.patch

BuildArch:      noarch

%global _description %{expand:
frozendict is an immutable wrapper around dictionaries that implements
the complete mapping interface. It can be used as a drop-in
replacement for dictionaries where immutability is desired.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/


%changelog
* Thu Jun 04 2020 joequant <joequant> 1.2-1.mga8
+ Revision: 1590215
- imported package python-frozendict

